MPE_Iget_mouse_press(4)

NAME
MPE_Iget_mouse_press - Checks for mouse button press

SYNOPSIS
#include "mpe.h"
int MPE_Iget_mouse_press( graph, x, y, button, wasPressed )
MPE_XGraph graph;
int *x, *y, *button, *wasPressed;

INPUT PARAMETER
graph
    - MPE graphics handle

OUTPUT PARAMETERS
x   - horizontal coordinate of the point where the mouse button was pressed
y   - vertical coordinate of the point where the mouse button was pressed
button
    - which button was pressed: MPE_BUTTON[1-5]
wasPressed
    - 1 if the button was pressed, 0 if not

NOTES
Checks if the mouse button has been pressed inside this MPE window. If pressed, returns the coordinate relative to the upper right of this MPE window and the button that was pressed.

LOCATION